OpenVDB 12.1.0

Loading...
Searching...
No Matches
Vector< T >::DeterministicDotProductOp Struct Reference

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions
| DeterministicDotProductOp (const T *a_, const T *b_, const SizeType binCount_, const SizeType arraySize_, T *reducetmp_)
void | operator() (const SizeRange &range) const

## Public Attributes
const T * | a
const T * | b
const SizeType | binCount
const SizeType | arraySize
T * | reducetmp

## Constructor & Destructor Documentation

## ◆ DeterministicDotProductOp()

template<typename T>

DeterministicDotProductOp | ( | const T * | a_,
|  | const T * | b_,
|  | const SizeType | binCount_,
|  | const SizeType | arraySize_,
|  | T * | reducetmp_ )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename T>

void operator() | ( | const SizeRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ a

template<typename T>

const T* a

## ◆ arraySize

template<typename T>

const SizeType arraySize

## ◆ b

template<typename T>

const T* b

## ◆ binCount

template<typename T>

const SizeType binCount

## ◆ reducetmp

template<typename T>

T* reducetmp